Subject: bug#22110: True color support

From: Eric Becker <[email-masked]>
Date: Mon, 7 Dec 2015 22:36:12 -0800

Thanks for your reply.

Looks like @choppsv1 also made a patch for emacs 24.5:
https://gist.github.com/choppsv1/e8198df70cb1778b04d6

Thanks to @film42 for pointing this out (link
<https://github.com/zenorocha/dracula-theme/issues/116#issuecomment-162788131>
).

On Mon, Dec 7, 2015 at 10:03 AM, Eli Zaretskii <[email-masked]> wrote:

> > From: Eric Becker <[email-masked]>
> > Date: Mon, 7 Dec 2015 08:56:59 -0800
> >
> > Many modern themes rely on true color support. Unfortunately, terminal
> emacs
> > does not support true colors. There are patches available:
> >
> > https://github.com/zenorocha/dracula-theme/issues/116
> >
> > This patch appears to be no more than a few lines of code.
>
> It's much more than just a few lines.  I also don't quite understand
> why xfaces.c needs to be changed and would like to avoid that if
> possible.
>
> > Why not integrate true color support into the next release of emacs?
>
> I was in the middle of discussing this 2 years ago, when the
> discussion stalled.  I hope the author will come back, rebase his
> patch, and continue the discussion where we left off back then.
>